Skip to main content
GET
/
v2
/
mining
/
companies
/
performance
/
{slug}
Mining Company Performance
curl --request GET \
  --url https://api.sectors.app/v2/mining/companies/performance/{slug}/ \
  --header 'Authorization: <api-key>'
{
  "year": 2023,
  "available_years": [
    2022,
    2023
  ],
  "data": [
    {
      "year": 2023,
      "commodity_type": "Coal",
      "commodity_sub_type": "Sub-bituminous & Metallurgical Coal",
      "commodity_stats": {
        "unit": "Mt",
        "production_volume": 49.1,
        "sales_volume": 48.5,
        "strip_ratio": 4.07
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

API key passed directly in the Authorization header (without Bearer prefix).

Path Parameters

slug
string
required

Company slug.

Query Parameters

commodity_type
string

Filter by commodity. E.g. Coal, Nickel. Case-insensitive.

year
integer

Year to retrieve. Defaults to the latest available year.

Response

Performance data for the requested year.

{key}
any